- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libetonyek::KEYStyle Class Referenceabstract

Represents a hierarchical style. More...

`#include <KEYStyle.h>`

Inheritance diagram for libetonyek::KEYStyle:

## Public Member Functions
virtual | ~KEYStyle ()=0
virtual bool | link (const KEYStylesheetPtr_t &stylesheet)=0
| Find the parent style by its ID. More...
virtual void | flatten ()=0
| Copy attributes from parent style (recursively). More...
virtual const KEYPropertyMap & | getPropertyMap () const =0
| Get the style's property map. More...

## Detailed Description

Represents a hierarchical style.

## Constructor & Destructor Documentation

libetonyek::KEYStyle::~KEYStyle | ( |  | ) |
| pure virtual

## Member Function Documentation

virtual void libetonyek::KEYStyle::flatten | ( |  | ) |
| pure virtual

Copy attributes from parent style (recursively).

Todo:
  Will this have any effect on performance anyway?

Implemented in libetonyek::KEYStyleBase.

virtual const KEYPropertyMap& libetonyek::KEYStyle::getPropertyMap | ( |  | ) | const
| pure virtual

Get the style's property map.

Implemented in libetonyek::KEYStyleBase.

virtual bool libetonyek::KEYStyle::link | ( | const KEYStylesheetPtr_t & | stylesheet | ) |
| pure virtual

Find the parent style by its ID.

- [in] stylesheet the stylesheet to use for looking for parent.
  Returns
    `true` if the parent style has been found, `false` otherwise.

Implemented in libetonyek::KEYStyleBase.

Referenced by libetonyek::KEYCollectorBase::collectStylesheet().

The documentation for this class was generated from the following files:

- KEYStyle.h
- KEYStyle.cpp